UIPackage
Menu

Framework

Change language

Boilerplate repo

Page

pageui

Page-level layout shell — title row, optional breadcrumbs, action bar, and slotted content well. The standard wrapper for `routes/*.vue` pages so every screen looks consistent.

Also available for React ->

Installation

$npx shadcn-vue@latest add https://uipkge.dev/r/vue/page.json
Named registry:npx shadcn-vue@latest add @uipkge/pageInstalls to:app/components/ui/page/

Examples

Loading interactive previews…

Props

NameType / ValuesDefaultRequired
classstringoptional

Used by

Files installed (5)

  • app/components/ui/page/Page.vue0.2 kB
    <script setup lang="ts">
    import { cn } from '@/lib/utils'
    
    defineProps<{
      class?: string
    }>()
    </script>
    
    <template>
      <div data-uipkge data-slot="page" :class="cn('space-y-6', $props.class)">
        <slot />
      </div>
    </template>
    
  • app/components/ui/page/PageBody.vue0.2 kB
  • app/components/ui/page/PageHeader.vue0.4 kB
  • app/components/ui/page/PageHeaderHeading.vue0.4 kB
  • app/components/ui/page/index.ts0.2 kB

Raw manifest:https://uipkge.dev/r/vue/page.json

UIPackage
Menu

Framework

Change language

Boilerplate repo

Page

pageui

Page-level layout shell — title row, optional breadcrumbs, action bar, and slotted content well. The standard wrapper for route pages so every screen looks consistent.

Also available for Vue ->

Installation

$npx shadcn@latest add https://uipkge.dev/r/react/page.json
Named registry:npx shadcn@latest add @uipkge-react/pageInstalls to:components/ui/page/

Examples

Loading interactive previews…

Props

NameType / ValuesDefaultRequired
actions

Right-aligned action bar (buttons, menus). The Vue `#actions` slot.

React.ReactNodeoptional

Used by

Files installed (2)

  • components/ui/page/page.tsx1.9 kB
    import * as React from 'react'
    import { cn } from '@/lib/utils'
    
    const Page = React.forwardRef<HTMLDivElement, React.HTMLAttributes<HTMLDivElement>>(({ className, ...props }, ref) => (
      <div ref={ref} data-uipkge="" data-slot="page" className={cn('space-y-6', className)} {...props} />
    ))
    Page.displayName = 'Page'
    
    const PageBody = React.forwardRef<HTMLDivElement, React.HTMLAttributes<HTMLDivElement>>(
      ({ className, ...props }, ref) => (
        <div ref={ref} data-uipkge="" data-slot="page-body" className={cn('', className)} {...props} />
      ),
    )
    PageBody.displayName = 'PageBody'
    
    export interface PageHeaderProps extends React.HTMLAttributes<HTMLDivElement> {
      /** Right-aligned action bar (buttons, menus). The Vue `#actions` slot. */
      actions?: React.ReactNode
    }
    
    const PageHeader = React.forwardRef<HTMLDivElement, PageHeaderProps>(
      ({ className, children, actions, ...props }, ref) => (
        <div
          ref={ref}
          data-uipkge=""
          data-slot="page-header"
          className={cn('flex flex-col justify-between gap-4 sm:flex-row sm:items-center', className)}
          {...props}
        >
          <div className="flex-1">{children}</div>
          {actions}
        </div>
      ),
    )
    PageHeader.displayName = 'PageHeader'
    
    export interface PageHeaderHeadingProps extends React.HTMLAttributes<HTMLDivElement> {
      title: string
      description?: string
    }
    
    const PageHeaderHeading = React.forwardRef<HTMLDivElement, PageHeaderHeadingProps>(
      ({ className, title, description, ...props }, ref) => (
        <div ref={ref} data-uipkge="" data-slot="page-header-heading" className={cn('', className)} {...props}>
          <h2 className="text-xl font-bold tracking-tight">{title}</h2>
          {description && <p className="text-muted-foreground mt-1 text-sm leading-relaxed">{description}</p>}
        </div>
      ),
    )
    PageHeaderHeading.displayName = 'PageHeaderHeading'
    
    export { Page, PageBody, PageHeader, PageHeaderHeading }
    
  • components/ui/page/index.ts0.1 kB

Raw manifest:https://uipkge.dev/r/react/page.json